﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraGridNavigatorSample
{
    public sealed class WaitCursor : IDisposable
    {
        Control ctrl;
        public WaitCursor(Control ctrl)
        {
            this.ctrl = ctrl;
            if (null == ctrl)
                Cursor.Current = Cursors.WaitCursor;
            else
                ctrl.Cursor = Cursors.WaitCursor;
        }
        /// <summary>
        /// Costruttore di default.
        /// </summary>
        public WaitCursor()
            : this(null)
        {
        }

        #region IDisposable Members
        /// <summary>
        /// Ripristina il cursore.
        /// </summary>
        public void Dispose()
        {
            if (null == ctrl)
                Cursor.Current = Cursors.Default;
            else
                ctrl.Cursor = Cursors.Default;
        }

        #endregion
    }
}
